Web lists-archives.com

Re: Missing pyuic5, pyrcc5 and pylupdate5 from python3-pyqt5 (was Re: Missing qt5-designer in Stretch)




Hi there,

Am 2017-11-15 06:12, schrieb Marc Shapiro:
Now that QtDesigner is running I can look at the rest of the build
chain and I find that the programs listed in the subject (pyuic5,
pyrcc5 and pylupdate5 ) are missing from python3-pyqt5.  According to
the docs on Sourceforge these should all be included in the upstream
package.  Has Debian split them off somewhere and not listed it as a
Depends, or Recommends?

$ apt-file search pyuic5
pyqt5-dev-tools: /usr/bin/pyuic5
pyqt5-dev-tools: /usr/share/man/man1/pyuic5.1.gz

To see what binary packages are built from the same source package
as python3-pyqt5:

1. Get the source package name:

$ apt-cache show python3-pyqt5 | grep ^Source:
Source: pyqt5

2. Get all binary packages associated with it (the "tr" is for better
readability):

$ apt-cache showsrc pyqt5 | grep Binary: | tr ',' '\n'

The reason Debian doesn't have a single binary package is that you
don't actually need these tools to _use_ PyQt5, only to develop it.
(Similarly to C/C++ development, where there also are separate
development packages.) This way you can select what you want to
install.

Regards,
Christian